## org.biojava.bio
Class BioException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.biojava.bio.BioException

Direct Known Subclasses:
  AceException, IllegalAlphabetException, IllegalSymbolException, IllegalTransitionException

public class BioException
extends java.lang.Exception

A general perpose Exception that can wrap another exception.

It is common practice in BioJava to throw a BioException or a subclass of it when something goes wrong. The exception can be used to catch another throwable, thus keeping a complete record of where the original error originated while adding annotation to the stack-trace. It also affords a neat way to avoid exception-bloat on method calls, particularly when objects are composed from several objects from different packages.

Author:
  Matthew Pocock
See Also:
  Serialized Form

Constructor Summary
`BioException()`
`BioException(java.lang.String message)`
`BioException(java.lang.Throwable ex)`
`BioException(java.lang.Throwable ex, java.lang.String message)`

Method Summary
`void` `printStackTrace()`
`void` `printStackTrace(java.io.PrintStream ps)`
`void` `printStackTrace(java.io.PrintWriter pw)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BioException

    public BioException(java.lang.String message)

### BioException

    public BioException(java.lang.Throwable ex)

### BioException

    public BioException(java.lang.Throwable ex,
                        java.lang.String message)

### BioException

    public BioException()

Method Detail

### printStackTrace

    public void printStackTrace()

  Overrides:
    printStackTrace in class java.lang.Throwable

### printStackTrace

    public void printStackTrace(java.io.PrintStream ps)

  Overrides:
    printStackTrace in class java.lang.Throwable

### printStackTrace

    public void printStackTrace(java.io.PrintWriter pw)

  Overrides:
    printStackTrace in class java.lang.Throwable